package com.reyun.saas.common.model;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 常量
 */
public interface  Constant {

    /**
     * 时间格式化
     */
    String DATE_FORMATTER_TIME = "YYYY-MM-dd HH:mm:ss";
    String DATE_FORMATTER_DATE = "YYYY-MM-dd";

    /**
     * 公共状态： 启用、未启用
     */
    int STATUS_ENABLE = 1;
    int STATUS_DISABLE = 0;
    int STATUS_AUDITED = 2;

    String RESET_PASSWORD = "reyun.123";

    String ADMIN_NAME = "超级管理员";

    String ROLE_ADMIN = "ROLE_超级管理员";

    List<String> OS = new ArrayList<String>(){
        {
            this.add("Android");
            this.add("iOS");
        }
    };

    Map<String,String> OSMap = new HashMap<String,String>(){
        {
            this.put("iOS","1");
            this.put("Android","2");
        }
    };

    String OS_ANDROID = "Android";
    String OS_IOS = "iOS";

    String OS_ANDROID_CODE = "2";
    String OS_IOS_CODE = "1";

}
